### Hierarchy

- ObjectProperty

## Index

### Constructors

- constructor

### Properties

- name
- target
- watcher

### Methods

- toString

## Constructors

### constructor

- new ObjectProperty(name: string): ObjectProperty

- - Defined in src/core/AtomWatcher.ts:9

  #### Parameters

  - ##### name: string

  #### Returns ObjectProperty

## Properties

### name

name: string

- Defined in src/core/AtomWatcher.ts:8

### target

target: object

- Defined in src/core/AtomWatcher.ts:7

### watcher

watcher: IDisposable

- Defined in src/core/AtomWatcher.ts:9

## Methods

### toString

- toString(): string

- - Defined in src/core/AtomWatcher.ts:15

  #### Returns string

Generated using TypeDoc